import 'dart:io';

class Version {
  DateTime datetime;
  String tag;
  String commit;
  Version({this.tag, this.commit, this.datetime})
      : assert(datetime != null),
        assert(tag != null),
        assert(commit != null);
  Version.fromGIT() {
    var result = Process.runSync("git", ["describe"]);
    tag = result.stdout.toString().trim();

    result = Process.runSync("git", ["rev-parse", "HEAD"]);
    if (result.exitCode == 0) {
      commit = result.stdout.toString().trim();
    } else {
      throw StateError(result.stdout);
    }
    datetime = DateTime.now();
  }
}
